Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5116)
@@ -20,11 +20,11 @@
 ! PLEASE try to follow this rule 
 
-    USE ACAMA_GWD_rando_m, only: ACAMA_GWD_rando
+    USE ACAMA_GWD_rando_m, ONLY: ACAMA_GWD_rando
     USE aero_mod
     USE add_phys_tend_mod, ONLY: add_pbl_tend, add_phys_tend, diag_phys_tend, prt_enerbil, &
          fl_ebil, fl_cor_ebil
-    USE lmdz_assert, only: assert
+    USE lmdz_assert, ONLY: assert
     USE change_srf_frac_mod
-    USE conf_phys_m, only: conf_phys
+    USE conf_phys_m, ONLY: conf_phys
     USE carbon_cycle_mod, ONLY: infocfields_init, RCO2_glo, carbon_cycle_rad
     USE CFMIP_point_locations   ! IM stations CFMIP
@@ -32,8 +32,8 @@
     USE dimphy
     USE etat0_limit_unstruct_mod
-    USE FLOTT_GWD_rando_m, only: FLOTT_GWD_rando
+    USE FLOTT_GWD_rando_m, ONLY: FLOTT_GWD_rando
     USE fonte_neige_mod, ONLY  : fonte_neige_get_vars
     USE lmdz_geometry, ONLY: cell_area, latitude_deg, longitude_deg
-    USE ioipsl, only: histbeg, histvert, histdef, histend, histsync, &
+    USE ioipsl, ONLY: histbeg, histvert, histdef, histend, histsync, &
          histwrite, ju2ymds, ymds2ju, getin
     USE lmdz_ioipsl_getin_p, ONLY: getin_p
@@ -45,15 +45,15 @@
     USE limit_read_mod, ONLY: init_limit_read
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev, klon_glo, grid1dTo2d_glo, grid_type, unstructured
-    USE lmdz_phys_mpi_data, only: is_mpi_root
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
     USE lmdz_phys_para
-    USE netcdf95, only: nf95_close
-    USE netcdf, only: nf90_fill_real     ! IM for NMC files
-    USE open_climoz_m, only: open_climoz ! ozone climatology from a file
-    USE ozonecm_m, only: ozonecm ! ozone of J.-F. Royer
+    USE netcdf95, ONLY: nf95_close
+    USE netcdf, ONLY: nf90_fill_real     ! IM for NMC files
+    USE open_climoz_m, ONLY: open_climoz ! ozone climatology from a file
+    USE ozonecm_m, ONLY: ozonecm ! ozone of J.-F. Royer
     USE pbl_surface_mod, ONLY: pbl_surface
-    USE phyaqua_mod, only: zenang_an
-    USE phyetat0_mod, only: phyetat0
+    USE phyaqua_mod, ONLY: zenang_an
+    USE phyetat0_mod, ONLY: phyetat0
     USE phystokenc_mod, ONLY: offline, phystokenc
-    USE phys_cal_mod, only: year_len, mth_len, days_elapsed, jh_1jan, &
+    USE phys_cal_mod, ONLY: year_len, mth_len, days_elapsed, jh_1jan, &
          year_cur, mth_cur,jD_cur, jH_cur, jD_ref, day_cur, hour, calend
 !!  USE phys_local_var_mod, ONLY: a long list of variables
@@ -66,9 +66,9 @@
     USE readaerosol_mod, ONLY: init_aero_fromfile
     USE readaerosolstrato_m, ONLY: init_readaerosolstrato
-    USE radlwsw_m, only: radlwsw
+    USE radlwsw_m, ONLY: radlwsw
     USE regr_horiz_time_climoz_m, ONLY: regr_horiz_time_climoz
-    USE regr_pr_time_av_m, only: regr_pr_time_av
+    USE regr_pr_time_av_m, ONLY: regr_pr_time_av
     USE surface_data,     ONLY: type_ocean, ok_veget
-    USE time_phylmdz_mod, only: current_time, itau_phy, pdtphys, raz_date, update_time
+    USE time_phylmdz_mod, ONLY: current_time, itau_phy, pdtphys, raz_date, update_time
     USE tracinca_mod, ONLY: config_inca
     USE tropopause_m,     ONLY: dyn_tropopause
@@ -158,9 +158,9 @@
     USE isotrac_mod, ONLY: option_traceurs,iso_traceurs_init, &
 &       option_tmin,nzone_temp
-    USE isotrac_routines_mod, only: initialise_bassins_boites, &
+    USE isotrac_routines_mod, ONLY: initialise_bassins_boites, &
           isotrac_recolorise_general,isotrac_recolorise_conv, &
           iso_verif_traceur_jbid_vect,iso_verif_traceur_jbid_pos_vect
 #ifdef ISOVERIF
-    USE isotrac_routines_mod, only: iso_verif_traceur_pbidouille
+    USE isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
     USE isotopes_verif_mod, ONLY: iso_verif_traceur, &
 &       iso_verif_traceur_justmass,iso_verif_traceur_vect, &
@@ -825,5 +825,5 @@
 
 !JLD    !---D\'eclenchement stochastique
-!JLD    integer :: tau_trig(klon)
+!JLD    INTEGER :: tau_trig(klon)
 
     REAL,SAVE :: random_notrig_max=1.
@@ -1284,5 +1284,5 @@
     include "ini_COSP.h"
 #endif
-    real :: mr_ozone(klon,klev), phicosp(klon,klev)
+    REAL :: mr_ozone(klon,klev), phicosp(klon,klev)
 
     !IM stations CFMIP
@@ -1380,5 +1380,5 @@
        CALL getin_p('iflag_physiq', iflag_physiq)                          !
     endif                                                                  !
-    if ( iflag_physiq == 2 ) then
+    if ( iflag_physiq == 2 ) THEN
 #ifdef ISO
        abort_message='isotopes pas encore dans physiqex'
@@ -1427,20 +1427,20 @@
     IF (prt_level>=1) THEN
        igout=klon/2+1/klon
-       write(lunout,*) 'DEBUT DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
-       write(lunout,*) 'igout, lat, lon ',igout, latitude_deg(igout), &
+       WRITE(lunout,*) 'DEBUT DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
+       WRITE(lunout,*) 'igout, lat, lon ',igout, latitude_deg(igout), &
             longitude_deg(igout)
-       write(lunout,*) &
+       WRITE(lunout,*) &
             'nlon,klev,nqtot,debut,lafin, jD_cur, jH_cur,pdtphys'
-       write(lunout,*) &
+       WRITE(lunout,*) &
             nlon,klev,nqtot,debut,lafin, jD_cur, jH_cur,pdtphys 
 
-       write(lunout,*) 'paprs, play, phi, u, v, t'
+       WRITE(lunout,*) 'paprs, play, phi, u, v, t'
        DO k=1,klev
-          write(lunout,*) paprs(igout,k),pplay(igout,k),pphi(igout,k), &
+          WRITE(lunout,*) paprs(igout,k),pplay(igout,k),pphi(igout,k), &
                u(igout,k),v(igout,k),t(igout,k)
        ENDDO
-       write(lunout,*) 'ovap (g/kg),  oliq (g/kg)'
+       WRITE(lunout,*) 'ovap (g/kg),  oliq (g/kg)'
        DO k=1,klev
-          write(lunout,*) qx(igout,k,1)*1000,qx(igout,k,2)*1000.
+          WRITE(lunout,*) qx(igout,k,1)*1000,qx(igout,k,2)*1000.
        ENDDO
     ENDIF
@@ -1740,5 +1740,5 @@
 ! dyn3dmem et physiq
 #ifdef ISO
-    write(*,*) 'physiq 1846a: ok_isotopes,ntraciso,niso=',niso>0,ntraciso,niso
+    WRITE(*,*) 'physiq 1846a: ok_isotopes,ntraciso,niso=',niso>0,ntraciso,niso
     IF(niso  <= 0) CALL abort_gcm('physiq 1756','options iso incompatibles',1)
 #ifdef ISOTRAC
@@ -1748,5 +1748,5 @@
 #endif
 #else
-    if(niso   > 0) CALL abort_gcm('physiq 1772','options iso incompatibles',1)
+    IF(niso   > 0) CALL abort_gcm('physiq 1772','options iso incompatibles',1)
 #endif
 
@@ -1754,17 +1754,17 @@
         ! initialisations isotopiques
 #ifdef ISOVERIF
-           write(*,*) 'physiq 1366: CALL iso_init'
-           write(*,*) 'ok_isotopes=',niso > 0
+           WRITE(*,*) 'physiq 1366: CALL iso_init'
+           WRITE(*,*) 'ok_isotopes=',niso > 0
 #endif
         if (niso > 0) CALL iso_init()
 #ifdef ISOTRAC
-IF(nzone > 0) then
-        write(*,*) 'physiq 1416: CALL iso_traceurs_init'
+IF(nzone > 0) THEN
+        WRITE(*,*) 'physiq 1416: CALL iso_traceurs_init'
         CALL iso_traceurs_init()
 END IF
 #endif
-!write(*,*) 'gcm 265: ntraciso=',ntraciso
+!WRITE(*,*) 'gcm 265: ntraciso=',ntraciso
 #ifdef ISOVERIF
-        write(*,*) 'physiq 1421: CALL iso_verif_init'
+        WRITE(*,*) 'physiq 1421: CALL iso_verif_init'
         CALL iso_verif_init()
 #endif
@@ -1921,5 +1921,5 @@
       IF (.NOT. create_etat0_limit) CALL init_readaerosolstrato(flag_aerosol_strat)  !! initialise aero strato from file for XIOS interpolation (unstructured_grid)
 
-      if (ok_cosp) then
+      if (ok_cosp) THEN
 #ifdef CPP_COSP
         ! A.I : Initialisations pour le 1er passage a Cosp
@@ -1999,5 +1999,5 @@
                              RVTMP2, RTT,RD,RG, RV, RPI)
        ! Test de coherence sur oc_cdnc utilisé uniquement par cloud_optics_prop
-       IF (ok_newmicro) then
+       IF (ok_newmicro) THEN
           IF (iflag_rrtm==1) THEN
 #ifdef CPP_RRTM
@@ -2236,5 +2236,5 @@
        tave = 'ave(X)'
        !IM cf. AM 081204 BEG
-       write(lunout,*)'AVANT HIST IFLAG_CON=',iflag_con
+       WRITE(lunout,*)'AVANT HIST IFLAG_CON=',iflag_con
        !IM cf. AM 081204 END
 
@@ -2602,17 +2602,17 @@
 #ifdef ISO
 #ifdef ISOVERIF
-    write(*,*) 'physiq 1847: qx(1,1,:)=',qx(1,1,:)
-    write(*,*) 'iqIsoPha(:,ivap)=',iqIsoPha(:,ivap)
-    write(*,*) 'physiq 1846b: ok_isotopes,ntraciso,niso=',niso>0,ntraciso,niso
+    WRITE(*,*) 'physiq 1847: qx(1,1,:)=',qx(1,1,:)
+    WRITE(*,*) 'iqIsoPha(:,ivap)=',iqIsoPha(:,ivap)
+    WRITE(*,*) 'physiq 1846b: ok_isotopes,ntraciso,niso=',niso>0,ntraciso,niso
 #endif
     do ixt=1,ntraciso
 #ifdef ISOVERIF
-      write(*,*) 'physiq tmp 1762a: ixt,iqiso_vap=',ixt,iqIsoPha(ixt,ivap)
-      write(*,*) 'physiq tmp 1762b: ixt,iqiso_liq=',ixt,iqIsoPha(ixt,iliq)
-      if (nqo.eq.3) then  
-        write(*,*) 'physiq tmp 1762c: ixt,iqiso_liq=',ixt,iqIsoPha(ixt,iliq)
-      endif !if (nqo.eq.3) then
-#endif
-      if (ixt.gt.niso) write(*,*) 'izone=',tracers(iqIsoPha(ixt,ivap))%iso_iZone 
+      WRITE(*,*) 'physiq tmp 1762a: ixt,iqiso_vap=',ixt,iqIsoPha(ixt,ivap)
+      WRITE(*,*) 'physiq tmp 1762b: ixt,iqiso_liq=',ixt,iqIsoPha(ixt,iliq)
+      if (nqo.eq.3) THEN
+        WRITE(*,*) 'physiq tmp 1762c: ixt,iqiso_liq=',ixt,iqIsoPha(ixt,iliq)
+      endif !if (nqo.eq.3) THEN
+#endif
+      if (ixt.gt.niso) WRITE(*,*) 'izone=',tracers(iqIsoPha(ixt,ivap))%iso_iZone
       DO k = 1, klev
        DO i = 1, klon
@@ -2620,14 +2620,14 @@
           xt_seri(ixt,i,k)  = qx(i,k,iqIsoPha(ixt,ivap))
           xtl_seri(ixt,i,k) = qx(i,k,iqIsoPha(ixt,iliq))
-          if (nqo.eq.2) then
+          if (nqo.eq.2) THEN
              xts_seri(ixt,i,k) = 0.
-          else if (nqo.eq.3) then
+          else if (nqo.eq.3) THEN
              xts_seri(ixt,i,k) = qx(i,k,iqIsoPha(ixt,isol))
           endif
        enddo !DO i = 1, klon
       enddo ! DO k = 1, klev
-      !write(*,*) 'physiq tmp 1897: dispatch termine pour ixt=',ixt 
+      !WRITE(*,*) 'physiq tmp 1897: dispatch termine pour ixt=',ixt
     enddo !do ixt=1,niso
-!    write(*,*) 'physiq tmp 1898: dispatch termine pour tous'
+!    WRITE(*,*) 'physiq tmp 1898: dispatch termine pour tous'
 #endif
 ! #ifdef ISO
@@ -2706,38 +2706,38 @@
     ! Diagnostiquer la tendance dynamique
 #ifdef ISOVERIF
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then  
+      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
         do i=1,klon 
          do k=1,klev 
-            if (q_seri(i,k).gt.ridicule) then  
+            if (q_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 2099 qv').eq.1) then
-                  write(*,*) 'physic 2444: i,k,q_seri(i,k)=',i,k,q_seri(i,k) 
-                  write(*,*) 'xt_seri(:,i,k)=',xt_seri(:,i,k)
+                    'physiq 2099 qv').eq.1) THEN
+                  WRITE(*,*) 'physic 2444: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
+                  WRITE(*,*) 'xt_seri(:,i,k)=',xt_seri(:,i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then  
-            if (ql_seri(i,k).gt.ridicule) then  
+            endif !if (q_seri(i,k).gt.errmax) THEN
+            if (ql_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xtl_seri(iso_HDO,i,k)/ql_seri(i,k), &
                     xtl_seri(iso_O18,i,k)/ql_seri(i,k), &
-                    'physiq 2099 ql').eq.1) then
-                  write(*,*) 'i,k,ql_seri(i,k)=',i,k,ql_seri(i,k) 
+                    'physiq 2099 ql').eq.1) THEN
+                  WRITE(*,*) 'i,k,ql_seri(i,k)=',i,k,ql_seri(i,k)
                   !stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then  
-            if (qs_seri(i,k).gt.ridicule) then  
+            endif !if (q_seri(i,k).gt.errmax) THEN
+            if (qs_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xts_seri(iso_HDO,i,k)/qs_seri(i,k), &
                     xts_seri(iso_O18,i,k)/qs_seri(i,k), &
-                    'physiq 2099 qs').eq.1) then
-                  write(*,*) 'i,k,qs_seri(i,k)=',i,k,qs_seri(i,k) 
+                    'physiq 2099 qs').eq.1) THEN
+                  WRITE(*,*) 'i,k,qs_seri(i,k)=',i,k,qs_seri(i,k)
                   !stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then
+            endif !if (q_seri(i,k).gt.errmax) THEN
           enddo !k=1,klev
          enddo  !i=1,klon
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then         
+        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC  
          DO k = 1, klev
@@ -2775,5 +2775,5 @@
 
 #ifdef ISO
-!       write(*,*) 'physiq tmp 2112'
+!       WRITE(*,*) 'physiq tmp 2112'
          DO k = 1, klev
          DO i = 1, klon
@@ -2806,5 +2806,5 @@
 #endif    
 #ifdef ISOVERIF      
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
          DO k = 1, klev
          DO i = 1, klon   
@@ -2822,8 +2822,8 @@
          enddo   
          endif 
-         if (iso_HDO.gt.0) then
+         if (iso_HDO.gt.0) THEN
             DO k = 1, klev
              DO i = 1, klon
-              if (q_seri(i,k).gt.3e-3) then
+              if (q_seri(i,k).gt.3e-3) THEN
               CALL iso_verif_positif(deltaD(xt_seri(iso_HDO,i,k) &
                  /q_seri(i,k))+400.0,'physiq 2045a')
@@ -2860,8 +2860,8 @@
 
 #ifdef ISO
-!        write(*,*) 'physiq tmp 2115'
+!        WRITE(*,*) 'physiq tmp 2115'
 !        i=496
 !        k=18
-!        write(*,*) 'physiq 2105: q_seri(i,k),ql_seri(i,k),qs_seri(i,k),ridicule=', &
+!        WRITE(*,*) 'physiq 2105: q_seri(i,k),ql_seri(i,k),qs_seri(i,k),ridicule=', &
 !                q_seri(i,k),ql_seri(i,k),qs_seri(i,k),ridicule
          DO k = 1, klev
@@ -2874,5 +2874,5 @@
           enddo
          enddo
-!        write(*,*) 'physiq tmp 2125'
+!        WRITE(*,*) 'physiq tmp 2125'
 #endif
 
@@ -2934,8 +2934,8 @@
        IF (read_climoz <= 0) THEN
           ! Once per day, update ozone from Royer:
-          IF (solarlong0<-999.) then
+          IF (solarlong0<-999.) THEN
              ! Generic case with evolvoing season
              zzz=real(days_elapsed+1)
-          ELSE IF (abs(solarlong0-1000.)<1.e-4) then
+          ELSE IF (abs(solarlong0-1000.)<1.e-4) THEN
              ! Particular case with annual mean insolation
              zzz=real(90) ! could be revisited
@@ -3023,5 +3023,5 @@
            'reevap 2417: apres evap tot')
       enddo
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix( &
                  xt_seri(iso_eau,i,k),q_seri(i,k), &
@@ -3033,17 +3033,16 @@
                  xts_seri(iso_eau,i,k),qs_seri(i,k), &
                 'reevap 2209b, après réévap totale',errmax,errmaxrel)
-       endif !if (iso_eau.gt.0) then
-     
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then  
-            if (q_seri(i,k).gt.ridicule) then  
+       endif !if (iso_eau.gt.0) THEN
+      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+            if (q_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'reevap 2408: apres reevap totale').eq.1) then
-                  write(*,*) 'i,k,q_seri(i,k)=',i,k,q_seri(i,k)                       
+                    'reevap 2408: apres reevap totale').eq.1) THEN
+                  WRITE(*,*) 'i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop
-            endif !if (q_seri(i,k).gt.errmax) then   
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then        
+            endif !if (q_seri(i,k).gt.errmax) THEN
+        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC      
              CALL iso_verif_traceur(xt_seri(1,i,k), &
@@ -3091,5 +3090,5 @@
     ENDIF
 
-    IF (prt_level>=1) write(lunout,*)'Longitude solaire ',zlongi,solarlong0,dist
+    IF (prt_level>=1) WRITE(lunout,*)'Longitude solaire ',zlongi,solarlong0,dist
 
 
@@ -3241,8 +3240,8 @@
           jlr_g_c = (((19.8*(pr_et(1:klon)**2))/(1.5+pr_et(1:klon)+pr_et(1:klon)**2))**(0.4))**2
           gustiness(1:klon)=jlr_g_c+jlr_g_s
-!!       write(*,*) "rain ",pr_et
-!!       write(*,*) "jlr_g_c",jlr_g_c
-!!       write(*,*) "wstar",wstar(1,3)
-!!       write(*,*) "jlr_g_s",jlr_g_s
+!!       WRITE(*,*) "rain ",pr_et
+!!       WRITE(*,*) "jlr_g_c",jlr_g_c
+!!       WRITE(*,*) "wstar",wstar(1,3)
+!!       WRITE(*,*) "jlr_g_s",jlr_g_s
           ! ELSE IF (iflag_gusts==2) THEN
           !    do i = 1, klon
@@ -3320,5 +3319,5 @@
 
 #ifdef ISO
-       ! write(*,*) 'physiq 2402: apres pbl_surface'
+       ! WRITE(*,*) 'physiq 2402: apres pbl_surface'
 #ifdef ISOVERIF 
       do i=1,klon
@@ -3341,20 +3340,20 @@
         
       ! verif iso_eau
-      !write(*,*) 'physiq tmp 2748: iso_eau=',iso_eau
-      !write(*,*) 'iso_eau.gt.0=',iso_eau.gt.0
-      !write(*,*) 'd_xt_vdf(iso_eau,1,1),d_q_vdf(1,1)=',d_xt_vdf(iso_eau,1,1),d_q_vdf(1,1)
-      !write(*,*) 'bidouille_anti_divergence=',bidouille_anti_divergence
-      if (iso_eau.gt.0) then
-!        write(*,*) 'physiq 2665: d_q_vdf,d_xt_vdf(iso_eau,554,19)=',d_q_vdf(554,19),d_xt_vdf(iso_eau,554,19)
-!        write(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,2,1)=',d_q_vdf(2,1),d_xt_vdf(iso_eau,2,1)
+      !WRITE(*,*) 'physiq tmp 2748: iso_eau=',iso_eau
+      !WRITE(*,*) 'iso_eau.gt.0=',iso_eau.gt.0
+      !WRITE(*,*) 'd_xt_vdf(iso_eau,1,1),d_q_vdf(1,1)=',d_xt_vdf(iso_eau,1,1),d_q_vdf(1,1)
+      !WRITE(*,*) 'bidouille_anti_divergence=',bidouille_anti_divergence
+      if (iso_eau.gt.0) THEN
+!        WRITE(*,*) 'physiq 2665: d_q_vdf,d_xt_vdf(iso_eau,554,19)=',d_q_vdf(554,19),d_xt_vdf(iso_eau,554,19)
+!        WRITE(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,2,1)=',d_q_vdf(2,1),d_xt_vdf(iso_eau,2,1)
       do i=1,klon
-!        write(*,*) 'physiq 2667: i,k=',i,k
-!        write(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,554,19)=',d_q_vdf(554,19),d_xt_vdf(iso_eau,554,19)
-!        write(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,2,1)=',d_q_vdf(2,1),d_xt_vdf(iso_eau,2,1)
+!        WRITE(*,*) 'physiq 2667: i,k=',i,k
+!        WRITE(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,554,19)=',d_q_vdf(554,19),d_xt_vdf(iso_eau,554,19)
+!        WRITE(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,2,1)=',d_q_vdf(2,1),d_xt_vdf(iso_eau,2,1)
         do k=1,klev
-!          write(*,*) 'physiq 2670: i,k=',i,k
-!        write(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,554,19)=',d_q_vdf(554,19),d_xt_vdf(iso_eau,554,19)
-!        write(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,2,1)=',d_q_vdf(2,1),d_xt_vdf(iso_eau,2,1)
-!        write(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,i,k)=',d_q_vdf(i,k),d_xt_vdf(iso_eau,i,k)
+!          WRITE(*,*) 'physiq 2670: i,k=',i,k
+!        WRITE(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,554,19)=',d_q_vdf(554,19),d_xt_vdf(iso_eau,554,19)
+!        WRITE(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,2,1)=',d_q_vdf(2,1),d_xt_vdf(iso_eau,2,1)
+!        WRITE(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,i,k)=',d_q_vdf(i,k),d_xt_vdf(iso_eau,i,k)
           CALL iso_verif_egalite_choix( &
                  d_xt_vdf(iso_eau,i,k),d_q_vdf(i,k), &
@@ -3369,21 +3368,21 @@
         enddo !k=1,klev
       enddo  !i=1,klon
-      endif !if (iso_eau.gt.0) then
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then  
+      endif !if (iso_eau.gt.0) THEN
+      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
         do i=1,klon 
          do k=1,klev 
-            if (q_seri(i,k).gt.ridicule) then  
+            if (q_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 4177, apres pbl_surface').eq.1) then
-                  write(*,*) 'i,k,q_seri(i,k)=',i,k,q_seri(i,k)                       
+                    'physiq 4177, apres pbl_surface').eq.1) THEN
+                  WRITE(*,*) 'i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then   
+            endif !if (q_seri(i,k).gt.errmax) THEN
           enddo !k=1,klev
          enddo  !i=1,klon
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
-        !write(*,*) 'physiq tmp 2689'
+        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        !WRITE(*,*) 'physiq tmp 2689'
 #endif
 !#ifdef ISOVERIF 
@@ -3532,6 +3531,6 @@
 
     IF (prt_level>=1) THEN
-       write(lunout,*) 'L   qsat (g/kg) avant clouds_gno'
-       write(lunout,'(i4,f15.4)') (k,1000.*zqsat(igout,k),k=1,klev)
+       WRITE(lunout,*) 'L   qsat (g/kg) avant clouds_gno'
+       WRITE(lunout,'(i4,f15.4)') (k,1000.*zqsat(igout,k),k=1,klev)
     ENDIF
 
@@ -3571,5 +3570,5 @@
     ENDDO
 
-    IF (prt_level>=1) write(lunout,*) 'omega(igout, :) = ', &
+    IF (prt_level>=1) WRITE(lunout,*) 'omega(igout, :) = ', &
          omega(igout, :)
 
@@ -3651,5 +3650,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        write(*,*) 'physiq 2877'
+        WRITE(*,*) 'physiq 2877'
       CALL iso_verif_noNaN_vect2D( &
                  wake_deltaxt, &
@@ -3662,5 +3661,5 @@
         enddo !do i = 1, klon
        enddo    !do k = 1, klev 
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D( &
                  xt_seri,q_seri, &
@@ -3670,24 +3669,24 @@
                  'physiq 2704b, wake_deltaq',ntraciso,klon,klev)
       endif
-      if (iso_HDO.gt.0) then
+      if (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 2709, avant calcul undi',ntraciso,klon,klev)
       endif
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then  
+      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
         do k = 1, klev
         do i = 1, klon
-            if (q_seri(i,k).gt.ridicule) then  
+            if (q_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 2947, avant calcul undi').eq.1) then
-                  write(*,*) 'physic 3315: i,k,q_seri(i,k)=',i,k,q_seri(i,k)                       
+                    'physiq 2947, avant calcul undi').eq.1) THEN
+                  WRITE(*,*) 'physic 3315: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then   
+            endif !if (q_seri(i,k).gt.errmax) THEN
         enddo !do i = 1, klon
         enddo !do k = 1, klev
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then  
+        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
 #endif 
 #endif   
@@ -3711,21 +3710,21 @@
                 enddo
 #ifdef ISOVERIF
-                if (iso_eau.gt.0) then
+                if (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite(wake_deltaq(i,k),wake_deltaxt(iso_eau,i,k),'physiq 3337')
                   CALL iso_verif_egalite(q_w(i,k),xt_w(iso_eau,i,k),'physiq 3338')
                 endif
-                if (iso_HDO.gt.0) then
+                if (iso_HDO.gt.0) THEN
                   if ((iso_verif_aberrant_enc_choix_nostop(xt_x(iso_hdo,i,k),q_x(i,k), &
                         ridicule,deltalim,'physic 3462a xt_x').eq.1).or. &
                         (iso_verif_aberrant_enc_choix_nostop(xt_w(iso_hdo,i,k),q_w(i,k), &
-                        ridicule,deltalim,'physic 3462b xt_w').eq.1)) then
-                     write(*,*) 'i,k=',i,k
-                     write(*,*) 'q_x(i,k),q_seri(i,k),wake_s(i),wake_deltaq(i,k)=', &
+                        ridicule,deltalim,'physic 3462b xt_w').eq.1)) THEN
+                     WRITE(*,*) 'i,k=',i,k
+                     WRITE(*,*) 'q_x(i,k),q_seri(i,k),wake_s(i),wake_deltaq(i,k)=', &
                                 q_x(i,k),q_seri(i,k),wake_s(i),wake_deltaq(i,k)
-                     write(*,*) 'xt_x(iso_hdo,i,k),xt_seri(iso_hdo,i,k),wake_s(i),wake_deltaxt(iso_hdo,i,k)=', &
+                     WRITE(*,*) 'xt_x(iso_hdo,i,k),xt_seri(iso_hdo,i,k),wake_s(i),wake_deltaxt(iso_hdo,i,k)=', &
                                 xt_x(iso_hdo,i,k),xt_seri(iso_hdo,i,k),wake_s(i),wake_deltaxt(iso_hdo,i,k)
-                     write(*,*) 'deltaD_seri,wake=',deltaD(xt_seri(iso_hdo,i,k)/q_seri(i,k)), &
+                     WRITE(*,*) 'deltaD_seri,wake=',deltaD(xt_seri(iso_hdo,i,k)/q_seri(i,k)), &
                                 deltaD(wake_deltaxt(iso_hdo,i,k)/wake_deltaq(i,k))
-                     write(*,*) 'deltaD_x,deltaD_w=',deltaD(xt_x(iso_hdo,i,k)/q_x(i,k)),deltaD(xt_w(iso_hdo,i,k)/q_w(i,k))
+                     WRITE(*,*) 'deltaD_x,deltaD_w=',deltaD(xt_x(iso_hdo,i,k)/q_x(i,k)),deltaD(xt_w(iso_hdo,i,k)/q_w(i,k))
                      stop
                   endif
@@ -3749,5 +3748,5 @@
 
 #ifdef ISOVERIF
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
            DO k=1,klev
             DO i=1,klon
@@ -3755,5 +3754,5 @@
             enddo
           enddo
-        endif ! if (iso_eau.gt.0) then
+        endif ! if (iso_eau.gt.0) THEN
 #endif
 
@@ -3762,5 +3761,5 @@
        ! The corresponding tendencies are added to the convective tendencies
        ! after the CALL to the convective scheme.
-       IF (iflag_wake>=1) then
+       IF (iflag_wake>=1) THEN
           IF (iflag_adjwk >= 1) THEN
              limbas(:) = 1
@@ -3828,5 +3827,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       write(*,*) 'physic 2553: avant appel concvl'
+       WRITE(*,*) 'physic 2553: avant appel concvl'
        do k = 1, klev
         do i = 1, klon
@@ -3836,5 +3835,5 @@
            enddo ! do ixt=1,ntraciso 
            CALL iso_verif_positif(q_seri(i,k),'physic 3133a')
-           if (iso_eau.gt.0) then
+           if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix( &
                  xt_seri(iso_eau,i,k),q_seri(i,k), &
@@ -3846,37 +3845,37 @@
                  xt_w(iso_eau,i,k),q_w(i,k), &
                 'physic 2559c',errmax,errmaxrel)
-           endif !if (iso_eau.gt.0) then
-           if (iso_HDO.gt.0) then
-             if (q_seri(i,k).gt.ridicule) then
+           endif !if (iso_eau.gt.0) THEN
+           if (iso_HDO.gt.0) THEN
+             if (q_seri(i,k).gt.ridicule) THEN
               CALL iso_verif_aberrant_encadre( &
                  xt_seri(iso_hdo,i,k)/q_seri(i,k), &
                 'physic 2657a')
-             endif !if (q_seri(i,k).gt.ridicule) then
-             if (q_x(i,k).gt.ridicule) then
+             endif !if (q_seri(i,k).gt.ridicule) THEN
+             if (q_x(i,k).gt.ridicule) THEN
               CALL iso_verif_aberrant_encadre( &
                  xt_x(iso_hdo,i,k)/q_x(i,k), &
                 'physic 2657b')
-             endif !if (q_x(i,k).gt.ridicule) then
-             if (q_w(i,k).gt.ridicule) then
+             endif !if (q_x(i,k).gt.ridicule) THEN
+             if (q_w(i,k).gt.ridicule) THEN
               CALL iso_verif_aberrant_encadre( &
                  xt_w(iso_hdo,i,k)/q_w(i,k), &
                 'physic 2657c')
-             endif !if (q_x(i,k).gt.ridicule) then
-           endif !if (iso_HDO.gt.0) then
-           if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
-            if (q_seri(i,k).gt.ridicule) then
+             endif !if (q_x(i,k).gt.ridicule) THEN
+           endif !if (iso_HDO.gt.0) THEN
+           if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+            if (q_seri(i,k).gt.ridicule) THEN
              CALL iso_verif_O18_aberrant( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
                     'physiq 3285')
-            endif ! if (q_seri(i,k).gt.ridicule) then
-           endif ! if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
-           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-             if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) then
+            endif ! if (q_seri(i,k).gt.ridicule) THEN
+           endif ! if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+             if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) THEN
               CALL iso_verif_aberrant_o17(xt_seri(iso_o17,i,k) &
                  /q_seri(i,k),xt_seri(iso_o18,i,k) &
                  /q_seri(i,k),'physiq 2781: avat clmain')
-             endif !if (q_seri(i,k).gt.ridicule) then
-           endif ! if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+             endif !if (q_seri(i,k).gt.ridicule) THEN
+           endif ! if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC 
            CALL iso_verif_traceur(xt_seri(1,i,k),'physiq 2975a')
@@ -3885,9 +3884,9 @@
            if (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k), &
                  'physiq 3060, avantconcvl',1e-5) &
-                 .eq.1) then
-              write(*,*) 'i,k=',i,k 
+                 .eq.1) THEN
+              WRITE(*,*) 'i,k=',i,k
               stop
             endif !if (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k),
-            if (option_tmin.eq.1) then
+            if (option_tmin.eq.1) THEN
                CALL iso_verif_trac17_q_deltaD(xt_seri(1,i,k), &
                  'physiq 1456, avant concvl')
@@ -3899,5 +3898,5 @@
 !ISOVERIF         
           if ((bidouille_anti_divergence).and. &
-                 (iso_eau.gt.0)) then
+                 (iso_eau.gt.0)) THEN
            do k=1,klev
             do i=1,klon  
@@ -3971,15 +3970,15 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!          write(*,*) 'q_detrainement(1,:)=',q_detrainement(1,:)
+!          WRITE(*,*) 'q_detrainement(1,:)=',q_detrainement(1,:)
       CALL iso_verif_noNaN_vect2D(d_xt_con, &
                  'physiq 3203a apres conv',ntraciso,klon,klev)
       CALL iso_verif_noNaN_vect2D(xt_seri, &
                  'physiq 3203b apres conv',ntraciso,klon,klev)
-      if (iso_HDO.gt.0) then
+      if (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 3619a',ntraciso,klon,klev)
       endif
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
+      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
       CALL iso_verif_O18_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
@@ -4120,5 +4119,5 @@
           ! où i n'est pas un point convectif et donc ibas_con(i)=0
           ! c'est un pb indépendant des isotopes
-          if (ibas_con(i) > 0) then
+          if (ibas_con(i) > 0) THEN
              ema_pcb(i)  = paprs(i,ibas_con(i))
           else
@@ -4133,11 +4132,11 @@
           IF (itop_con(i)>klev-3) THEN
              IF (prt_level >= 9) THEN
-                write(lunout,*)'La convection monte trop haut '
-                write(lunout,*)'itop_con(,',i,',)=',itop_con(i)
+                WRITE(lunout,*)'La convection monte trop haut '
+                WRITE(lunout,*)'itop_con(,',i,',)=',itop_con(i)
              ENDIF
           ENDIF
        ENDDO
     ELSE IF (iflag_con==0) THEN
-       write(lunout,*) 'On n appelle pas la convection'
+       WRITE(lunout,*) 'On n appelle pas la convection'
        clwcon0=0.
        rnebcon0=0.
@@ -4286,11 +4285,11 @@
 #ifdef ISO
 #ifdef ISOVERIF
-     write(*,*) 'physiq 3425: apres convection'
-      if (iso_HDO.gt.0) then
+     WRITE(*,*) 'physiq 3425: apres convection'
+      if (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 3691a',ntraciso,klon,klev)
       endif
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
+      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
       CALL iso_verif_O18_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
